---
title: Touch.identifier
slug: Web/API/Touch/identifier
tags:
  - API
  - DOM
  - Identifier
  - Property
  - Read-only
  - Reference
  - touch
---
<p>{{ APIRef("Touch Events") }}{{SeeCompatTable}}</p>

<p>The <strong><code>Touch.identifier</code></strong> returns a value uniquely identifying this point of contact with the touch surface. This value remains consistent for every event involving this finger's (or stylus's) movement on the surface until it is lifted off the surface.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>touchItem</var>.identifier;</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>long</code> that represents the unique ID of the {{ domxref("Touch") }} object.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">someElement.addEventListener('touchmove', function(e) {
// Iterate through the list of touch points that changed
// since the last event and print each touch point's identifier.
  for (var i=0; i &lt; e.changedTouches.length; i++) {
    console.log("changedTouches[" + i + "].identifier = " + e.changedTouches[i].identifier);
  }
}, false);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touch-identifier')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events', '#widl-Touch-identifier')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Touch.identifier")}}</p>
